# Introduction

All business account on Vesicash is opened to a Merchant of Record service. By default a USD and a GBP MoR wallet is created for all account after ongoing proper onboarding on the platform.

Our MoR service cuts across some African countries, such as **Ghana, Kenya, Egypt, South Africa** and **Zambia**. To setup an MoR service in any of these countries, you would need to sign an MoR agreement on that country on Vesicash platform. Then you should be eligible to carryout transaction in that country.

Each MoR transaction attracts a certain sales tax percentage, which would be deducted when your MoR funds is being processed from your MoR wallet to your base wallet.

Vesicash provides a seamless way to accept payments across multiple channels, including **cards** and **mobile money**. Whether you're integrating payments into a website, mobile application, or a custom checkout flow, our flexible APIs give you complete control while ensuring secure and smooth transactions.

Vesicash supports **two payment completion flows**, depending on your preferred integration style:

#### **1. Checkout flow (Redirect flow)** <a href="#id-1.-checkout-flow-redirect-flow" id="id-1.-checkout-flow-redirect-flow"></a>

Use this flow if you want Vesicah to handle the entire payment UI/UX.

**Steps:**

1. **Initiate payment**: Call the Initiate Payment endpoint to create a new transaction.
2. **Redirect Customer**: Extract the payment\_link returned in the response.
3. **Customer Completes Payment**: Redirect the customer to the Vesicash-hosted checkout page where they complete the transaction.

#### 2. Non‑Checkout Flow (Direct API Flow) <a href="#id-2.-non-checkout-flow-direct-api-flow" id="id-2.-non-checkout-flow-direct-api-flow"></a>

Use this flow if you want to handle the checkout UI yourself and complete payments programmatically via API.

**Steps:**

1. **Initiate Payment:**

* Call the **`Initiate Payment`** endpoint to begin the transaction.
* The response includes a **`payment_reference`**.

2. **Complete Payment**: Call the Complete Payment endpoint, passing the payment\_reference returned during initiation.<br>

<br>

<br>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.vesicash.com/api-documentation/payments/introduction.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
